Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt
Interface GroupManager

All Superinterfaces:
  EJBObject, Remote

Deprecated. See method level Javadoc and com.bea.p13n.security.management.authentication.AtnManagerProxy

public interface GroupManager
extends EJBObject

Remote interface for the GroupManager session bean. This class depends on the following EJB environment in the ejb deployment descriptor:

- ejb/GroupProfileManager: an ejb-ref pointing to the default GroupProfileManager deployment.
- ProtectedGroupNames: an env-entry of type String containing a comma-separated list of group names (case insensitive) that cannot be deleted through the GroupManager. These are optional, required only if you wish to protect group names from deletion. Note that the special WLS groups everyone, users, and Administrators are always protected - this list can be used to extend that protection to other groups. Any methods that create or remove groups delegate to the WebLogic provider selected by RealmHelper.getProviderMBean. If multiple providers are configured, see RealmHelper for information about which of those providers will be used.

  See Also:
    `RealmHelper.getProviderMBean()`

  Method Summary
  `void` | `addGroupToGroup(String parentGroup, String childGroup)` Deprecated. See com.bea.p13n.security.management.authentication.AtnManagerProxy
  `void` | `addUserToGroup(String groupname, String username)` Deprecated. See com.bea.p13n.security.management.authentication.AtnManagerProxy
  `ProfileWrapper` | `createGroup(String name)` Deprecated. See com.bea.p13n.security.management.authentication.AtnManagerProxy
  `List` | `getAllGroupNames()` Deprecated. See com.bea.p13n.security.management.authentication.AtnManagerProxy
  `List` | `getChildGroupNames(String groupname)` Deprecated. See com.bea.p13n.security.management.authentication.AtnManagerProxy
  `List` | `getGroupNamesForUser(String username)` Deprecated. See com.bea.p13n.security.management.authentication.AtnManagerProxy
  `ProfileWrapper` | `getGroupProfile(String name)` Deprecated. See com.bea.p13n.usermgmt.profile.ProfileFactory
  `ProfileManager` | `getGroupProfileManager(String name)` Deprecated. Returns a profile manager that can be used to access a group's profile.
  `String` | `getParentGroupName(String groupname)` Deprecated. This method no longer supported. Use methods of com.bea.p13n.security.management.authentication.AtnManagerProxy
  `List` | `getTopLevelGroupNames()` Deprecated. This method no longer supported. Use methods of com.bea.p13n.security.management.authentication.AtnManagerProxy
  `List` | `getUsernamesForGroup(String groupname)` Deprecated. See com.bea.p13n.security.management.authentication.AtnManagerProxy
  `List` | `getUsernamesForGroup(String groupname, String searchExpression, int limit)` Deprecated. See com.bea.p13n.security.management.authentication.AtnManagerProxy
  `boolean` | `groupExists(String name)` Deprecated. See com.bea.p13n.security.management.authentication.AtnManagerProxy
  `boolean` | `isDeletableGroup(String name)` Deprecated. See com.bea.p13n.security.management.authentication.AtnSecurityMgmtHelper
  `boolean` | `isDescendent(String ancestor, String descendent)` Deprecated. See com.bea.p13n.security.management.authentication.AtnManagerProxy
  `boolean` | `isMember(String groupname, String username)` Deprecated. See com.bea.p13n.security.management.authentication.AtnManagerProxy
  `void` | `removeGroup(String name)` Deprecated. See com.bea.p13n.security.management.authentication.AtnManagerProxy
  `void` | `removeGroupFromGroup(String parentGroup, String childGroup)` Deprecated. See com.bea.p13n.security.management.authentication.AtnManagerProxy
  `void` | `removeUserFromGroup(String groupname, String username)` Deprecated. See com.bea.p13n.security.management.authentication.AtnManagerProxy

  Methods inherited from interface javax.ejb.EJBObject
  `getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

  Method Detail

  ### getGroupProfile

      public ProfileWrapper getGroupProfile(String name)
                                     throws RemoteException

    Deprecated. See com.bea.p13n.usermgmt.profile.ProfileFactory

    Parameters:
      `name` - the name of the group to access
    Returns:
      the GroupProfileManager
    Throws:
      `RemoteException`

  ### getGroupProfileManager

      public ProfileManager getGroupProfileManager(String name)
                                            throws RemoteException

    Deprecated.
    Returns a profile manager that can be used to access a group's profile. If the requested group exists in the realm but does not have a profile yet, a new profile will be created at this time. Right now all groups use the same profile manager, but this method is meant to leave the option for this to change in the future (similar to profile types for users).

    Parameters:
      `name` - the name of the group to access
    Returns:
      the GroupProfileManager
    Throws:
      `RemoteException`

  ### groupExists

      public boolean groupExists(String name)
                          throws RemoteException

    Deprecated. See com.bea.p13n.security.management.authentication.AtnManagerProxy

    Determines if a group exists. This method simply checks all providers for a group with the given name.

    Parameters:
      `name` - the group name to check
    Returns:
      true if the group exists, false otherwise
    Throws:
      `RemoteException`

  ### createGroup

      public ProfileWrapper createGroup(String name)
                                 throws RemoteException,
                                        GroupAlreadyExistsException,
                                        InvalidGroupnameException

    Deprecated. See com.bea.p13n.security.management.authentication.AtnManagerProxy

    Throws:
      `GroupAlreadyExistsException` - if the group already exists
      `InvalidGroupnameException` - if the group name is invalid
      `RemoteException`

  ### isDeletableGroup

      public boolean isDeletableGroup(String name)
                               throws RemoteException

    Deprecated. See com.bea.p13n.security.management.authentication.AtnSecurityMgmtHelper

    Determine if a group can be deleted.

    Returns:
      false if the group name given is protected by the system in any way
    Throws:
      `RemoteException`

  ### removeGroup

      public void removeGroup(String name)
                       throws RemoteException,
                              InvalidGroupnameException

    Deprecated. See com.bea.p13n.security.management.authentication.AtnManagerProxy

    Remove a group. This will remove the group from both the realm and the profile tables.

    Throws:
      `InvalidGroupnameException` - if the group is protected and cannot be deleted
      `RemoteException`

  ### addUserToGroup

      public void addUserToGroup(String groupname,
                                 String username)
                          throws RemoteException

    Deprecated. See com.bea.p13n.security.management.authentication.AtnManagerProxy

    Add a user to a group.

    Parameters:
      `groupname` - the name of the group to modify
      `username` - the name of the user to add
    Throws:
      `RemoteException`

  ### removeUserFromGroup

      public void removeUserFromGroup(String groupname,
                                      String username)
                               throws RemoteException

    Deprecated. See com.bea.p13n.security.management.authentication.AtnManagerProxy

    Remove a user from a group

    Parameters:
      `groupname` - the name of the group to modify
      `username` - the name of the user to remove
    Throws:
      `RemoteException`

  ### addGroupToGroup

      public void addGroupToGroup(String parentGroup,
                                  String childGroup)
                           throws RemoteException

    Deprecated. See com.bea.p13n.security.management.authentication.AtnManagerProxy

    Add a child group to a group

    Parameters:
      `parentGroup` - the name of the group to modify
      `childGroup` - the name of the group to add
    Throws:
      `RemoteException`

  ### removeGroupFromGroup

      public void removeGroupFromGroup(String parentGroup,
                                       String childGroup)
                                throws RemoteException

    Deprecated. See com.bea.p13n.security.management.authentication.AtnManagerProxy

    Remove a child group from a group

    Parameters:
      `parentGroup` - the name of the group to modify
      `childGroup` - the name of the group to remove
    Throws:
      `RemoteException`

  ### getTopLevelGroupNames

      public List getTopLevelGroupNames()
                                 throws RemoteException

    Deprecated. This method no longer supported. Use methods of com.bea.p13n.security.management.authentication.AtnManagerProxy

    Retrieve a list of groups that do not have parent groups. This will not return the built-in WLS "everyone" or "users" groups.

    Throws:
      `RemoteException`

  ### getAllGroupNames

      public List getAllGroupNames()
                            throws RemoteException

    Deprecated. See com.bea.p13n.security.management.authentication.AtnManagerProxy

    Retrieve a list of all groups in the system.

    Throws:
      `RemoteException`

  ### getGroupNamesForUser

      public List getGroupNamesForUser(String username)
                                throws RemoteException

    Deprecated. See com.bea.p13n.security.management.authentication.AtnManagerProxy

    Retrieve a list of all groups that a user belongs to.

    Parameters:
      `username` - the user to query
    Throws:
      `RemoteException`

  ### getUsernamesForGroup

      public List getUsernamesForGroup(String groupname)
                                throws RemoteException

    Deprecated. See com.bea.p13n.security.management.authentication.AtnManagerProxy

    Retrieve a list of all users in a group.

    Parameters:
      `groupname` - the group to query
    Throws:
      `RemoteException`

  ### getUsernamesForGroup

      public List getUsernamesForGroup(String groupname,
                                       String searchExpression,
                                       int limit)
                                throws RemoteException

    Deprecated. See com.bea.p13n.security.management.authentication.AtnManagerProxy

    Retrieve a list of users in a group, matching the provided wildcard expression

    Parameters:
      `groupname` - the group to query
      `searchExpression` - a wildcard expression to match
      `limit` - the maximum number of results to return
    Returns:
      a List of usernames that are in this group
    Throws:
      `RemoteException`

  ### getChildGroupNames

      public List getChildGroupNames(String groupname)
                              throws RemoteException

    Deprecated. See com.bea.p13n.security.management.authentication.AtnManagerProxy

    Retrieve a list of all children of a group.

    Parameters:
      `groupname` - the group to query
    Throws:
      `RemoteException`

  ### getParentGroupName

      public String getParentGroupName(String groupname)
                                throws RemoteException

    Deprecated. This method no longer supported. Use methods of com.bea.p13n.security.management.authentication.AtnManagerProxy

    Retrieve the parent of a group. Assumes that a group will only have one parent, as enforced by the GroupManager. If your realm has groups with more than one parent, the first one encountered will be returned.

    Parameters:
      `groupname` - the group to query
    Throws:
      `RemoteException`

  ### isDescendent

      public boolean isDescendent(String ancestor,
                                  String descendent)
                           throws RemoteException

    Deprecated. See com.bea.p13n.security.management.authentication.AtnManagerProxy

    Determine if one group is a descendent of another.

    Parameters:
      `ancestor` - see if the other group is a descendent of this group
      `descendent` - see if this is a descendent of the other group
    Throws:
      `RemoteException`

  ### isMember

      public boolean isMember(String groupname,
                              String username)
                       throws RemoteException

    Deprecated. See com.bea.p13n.security.management.authentication.AtnManagerProxy

    Determine if a user is a member of a group.

    Parameters:
      `groupname` - the group to query
      `username` - the user to look for
    Throws:
      `RemoteException`

  Overview | Package | Class | Tree | Deprecated | Index | Help
  | © 2004 BEA Systems, Inc.
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2004 BEA Systems, Inc. All Rights Reserved